## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

# https://github.com/alexcrichton/cc-rs/issues/139
%global __cargo_is_bin() false

%global crate cc

Name:           rust-%{crate}
Version:        1.0.70
Release:        %autorelease
Summary:        Build-time dependency for Cargo build scripts to invoke the native C compiler

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/cc
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Build-time dependency for Cargo build scripts to assist in invoking the native
C compiler to compile native C code into a static archive to be linked into
Rust code.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       /usr/bin/g++
Requires:       /usr/bin/gcc

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+jobserver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+jobserver-devel %{_description}

This package contains library source intended for building other packages
which use "jobserver" feature of "%{crate}" crate.

%files       -n %{name}+jobserver-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages
which use "parallel" feature of "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo '/usr/bin/g++'
echo '/usr/bin/gcc'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that depend too much on the build environment
%cargo_test -- -- --skip gnu_flag_if_supported --skip gnu_flag_if_supported_cpp
%endif

%changelog
* Wed Sep 01 2021 Fabio Valentini <decathorpe@gmail.com> 1.0.70-1
- Update to version 1.0.70; Fixes RHBZ#1999693

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.0.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Fabio Valentini <decathorpe@gmail.com> 1.0.69-1
- Update to version 1.0.69; Fixes RHBZ#1981445

* Tue May 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.68-1
- Update to version 1.0.68.
- Fixes RHBZ#1964154

* Sat Feb 27 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.67-1
- Update to version 1.0.67.
- Fixes RHBZ#1930940

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.66-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 07 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.66-1
- Update to version 1.0.66.
- Fixes RHBZ#1904182

* Sat Nov 21 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.65-1
- Update to version 1.0.65.
- Fixes RHBZ#1900046

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.63-1
- Update to version 1.0.63.
- Fixes RHBZ#1899355

* Sat Nov 07 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.62-1
- Update to version 1.0.62.
- Fixes RHBZ#1895511

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.61-1
- Update to version 1.0.61.

* Thu Sep 17 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.60-1
- Update to version 1.0.60.

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> - 1.0.59-1
- Update to 1.0.59

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 1.0.58-1
- Update to 1.0.58

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 1.0.55-1
- Update to 1.0.55

* Wed May 20 2020 Josh Stone <jistone@redhat.com> - 1.0.54-1
- Update to 1.0.54

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 1.0.53-1
- Update to 1.0.53

* Thu Apr 23 2020 Josh Stone <jistone@redhat.com> - 1.0.52-1
- Update to 1.0.52

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 1.0.50-1
- Update to 1.0.50

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 1.0.49-1
- Update to 1.0.49

* Fri Dec 06 10:44:15 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.48-1
- Update to 1.0.48

* Fri Nov 15 2019 Josh Stone <jistone@redhat.com> - 1.0.47-1
- Update to 1.0.47

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.37-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 23:12:18 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.37-3
- Regenerate

* Sun Jun 09 11:37:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.37-2
- Regenerate

* Sat Jun 01 2019 Josh Stone <jistone@redhat.com> - 1.0.37-1
- Update to 1.0.37

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 1.0.36-1
- Update to 1.0.36

* Mon Apr 08 2019 Josh Stone <jistone@redhat.com> - 1.0.35-1
- Update to 1.0.35

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 1.0.34-1
- Update to 1.0.34

* Tue Mar 26 2019 Josh Stone <jistone@redhat.com> - 1.0.32-1
- Update to 1.0.32

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.31-1
- Update to 1.0.31

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.30-2
- Do not pull optional dependencies

* Fri Mar 01 2019 Josh Stone <jistone@redhat.com> - 1.0.30-1
- Update to 1.0.30

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.29-1
- Update to 1.0.29

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 07 2019 Josh Stone <jistone@redhat.com> - 1.0.28-1
- Update to 1.0.28

* Wed Dec 12 2018 Josh Stone <jistone@redhat.com> - 1.0.26-1
- Update to 1.0.26

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-2
- Run tests in infrastructure

* Wed Sep 12 2018 Josh Stone <jistone@redhat.com> - 1.0.25-1
- Update to 1.0.25

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 1.0.24-1
- Update to 1.0.24

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Sat Jun 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.17-2
- Adopt to new macro

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 1.0.17-1
- Update to 1.0.17

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 1.0.15-1
- Update to 1.0.15

* Fri Apr 27 2018 Josh Stone <jistone@redhat.com> - 1.0.13-1
- Update to 1.0.13

* Sat Apr 14 2018 Josh Stone <jistone@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Thu Mar 22 2018 Josh Stone <jistone@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Sat Mar 17 2018 Josh Stone <jistone@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Mon Mar 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-3
- Bump rayon to 1.0.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-2
- Rebuild for rust-packaging v5

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-1
- Initial package

